Subject: Re: Running Win10 after end of life

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Sat, 3 May 2025 21:30:12 -0700

Would someone kindly tell me what’s so special about their favorite version of Linux is versus MacOS, which is a BSD Unix derivative?

I’ve think I’ve mentioned my harem of Macs:

* 2014 Mac Mini
* 2014 MacBook Pro
* 2018 Mac Mini
* 2024 Mac Mini

They’re all still working just fine, except the MBP’s battery is bloating up for the 2nd time. (I hardly use it and if you keep it plugged-in, the battery bloats up.)

I get newer ones because they get faster, handle more RAM and SSD, and the OS can’t be upgraded past a certain point. Which is why I keep the older ones around. (The older ones let you upgrade RAM and some the SSD. With the newer ones, you’re stuck with what it comes with.)

One of them (2018) has a VirtualBox VM on that runs Win10 that I do all of my Windows-dependent stuff on. I don’t see why I’d need to upgrade it to Win11, and nobody here has given me anything worth considering. 

BTW, I have an older Acer box (maybe from 2000) that’s a bit smaller than an old Mac Mini that runs Win XP; if anybody wants it to run Linux on for some reason, let me know. 

My point is, the hardware gets old, sometimes degrades (ie, the battery on the MBP), the latest OS and apps can no longer be upgraded, but it still works fine if you want to keep using it. I’m not sure why my older Mac Minis still keep running but everybody thinks my Win10 machines are going to turn into nuclear bombs in a few months just because MS stops updating them. Cripes, do you know how hard it is to keep Windows from constatly updating itself anyway? MacOS keeps asking even though it’s says it can’t if I say OK!

I have apps on both my 2014 and 2018 Mac Minis that will stop working if I upgrade the OS, so I refuse.

And now it seems you can’t run VMs on M-series CPUs that contain any version of Windows unless you use one specific version of Parallels with an ARM-based version of Windows, and it reportedly runs slower than crap. 

Just for fun, I went from 36GB of RAM to 64GB in my 2018 model and where before the fan would constantly be running, now it never comes on. 

Macs run Unix. It’s not like I’m a crazy-ass Mac fan — I just find them to be WAY more stable than Windows machines. 

When I need to get down to the command-line, the *nix shell is FAR more powerful than the DOS Command line. But I rarely ever need to do that on ANY of them lately. I think the only reasons I’ve run the Mac’s Terminal is to use the shell to find some specific files because find piped into grep works a whole lot better than the search bar in the Finder.

So while I understand (and share) the “anti-Windows” sentiments here, I don’t get the “pro-Linux” but “anti-Mac” attitude because Macs are all Unix machines at their core.

I’ve tossed out maybe a dozen DOS and Windows machines in my life. My first Mac (a first gen Intel iMac) died and I actually sold it on eBay for almost $500! I’ve bought and sold some other Macs and never had to toss a single one into the trash. I’m not eager to replace the battery on my MBP again, but it will still be way cheaper than a new MBP.

-David Schwartz

> On May 3, 2025, at 4:10 PM, Keith Smith via PLUG-discuss <[email-masked]> wrote:
> 
> Thanks Rusty!!  I agree!!
> 

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss